from .slicing import read_slice_h5ad, write_slice_h5ad
from .file_management import update_h5ad, pop_h5ad, filter_anndata_h5ad
from .analysis_tools.gene_analysis import gene_variance, top_n_variance, create_mask_top_n_variance
from .analysis_tools.incremental_pca import incremental_pca_h5ad
from .data_transformation.log_transform import log_transform
from .data_transformation.scale import scale
from .data_transformation.normalize import normalize
from .spdata import BackedAnnData

__version__ = "0.19"


__all__ = [
    "read_slice_h5ad",
    "write_slice_h5ad",
    "update_h5ad",
    "pop_h5ad",
    "filter_anndata_h5ad",
    "gene_variance",
    "top_n_variance",
    "create_mask_top_n_variance",
    "incremental_pca_h5ad",
    "log_transform",
    "scale",
    "normalize",
    "BackedAnnData"
]
